package org.springblade.community.pay.wx.event;

import lombok.Getter;
import lombok.Setter;
import org.springframework.context.ApplicationEvent;

/**
 * 微信支付通知事件
 * @param <T>
 */
@Getter
@Setter
public class PayNotifyEvent<T> extends ApplicationEvent {
	private T object;

	public PayNotifyEvent(Object source, T object) {
		super(source);
		this.object = object;
	}
}
